local ammo_base = {
    type = "ammo",
    stack_size = 200,
    magazine_size = 10,
    icon = "__base__/graphics/icons/shotgun-shell.png",
    icon_size = 64,

    ammo_type = {
        category = "shotgun-shell",
        target_type = "position",
        clamp_position = true,
        action = {
            type = "direct",
            action_delivery = {
                type = "instant"
            }
        }
    }
}

local function create_ammo(name, target_effects)
    local ammo = util.table.deepcopy(ammo_base)
    ammo.name = name
    ammo.ammo_type.action.action_delivery.target_effects = target_effects
    return ammo
end

data:extend({
    create_ammo("ammo-create-entity", {
        type = "create-entity",
        entity_name = "poison-cloud",
        trigger_created_entity = true
    }),
    create_ammo("ammo-create-smoke", {
        type = "create-smoke",
        entity_name = "poison-cloud",
        trigger_created_entity = true
    }),
    create_ammo("ammo-create-fire", {
        type = "create-fire",
        entity_name = "fire-flame",
        trigger_created_entity = true
    }),
    create_ammo("ammo-create-explosion", {
        type = "create-explosion",
        entity_name = "explosion-gunshot",
        trigger_created_entity = true
    })
})